Commit a405cb76 authored by Sylvestre Ledru's avatar Sylvestre Ledru

* The libstdc++-6-dev & libobjc-6-dev are only install with clang-X.Y

  and libclang-X.Y-dev and no longer with libclang1-X.Y
  (Closes: #841309)
* Fix the VCS-* fields
parent 7f1d0e08
llvm-toolchain-snapshot (1:4.0~svn282142-1~exp1) experimental; urgency=medium
* The libstdc++-6-dev & libobjc-6-dev are only install with clang-X.Y
and libclang-X.Y-dev and no longer with libclang1-X.Y
(Closes: #841309)
* Fix the VCS-* fields
-- Sylvestre Ledru <sylvestre@debian.org> Mon, 24 Oct 2016 10:45:07 +0200
llvm-toolchain-snapshot (1:4.0~svn280796-1~exp1) experimental; urgency=medium
* Merge clang-include-fixer-4.0 into clang-4.0. Don't think
......
......@@ -13,15 +13,15 @@ Build-Conflicts: oprofile, ocaml, libllvm-3.4-ocaml-dev, libllvm-3.5-ocaml-dev,
libllvm-3.8-ocaml-dev, libllvm-3.9-ocaml-dev
Standards-Version: 3.9.8
Homepage: http://www.llvm.org/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-llvm/llvm-toolchain/branches/3.8/
Vcs-Browser: https://svn.debian.org/viewsvn/pkg-llvm/llvm-toolchain/branches/3.8/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-llvm/llvm-toolchain/branches/snapshot/
Vcs-Browser: https://svn.debian.org/viewsvn/pkg-llvm/llvm-toolchain/branches/snapshot/
# ------------- clang -------------
Package: clang-4.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
libclang-common-4.0-dev (= ${binary:Version}),
${dep:devlibs-objc}, libclang-common-4.0-dev (= ${binary:Version}),
libclang1-4.0 (= ${binary:Version}), libc6-dev, binutils
Provides: c-compiler, objc-compiler, c++-compiler
Recommends: llvm-4.0-dev, python
......@@ -86,7 +86,7 @@ Description: C, C++ and Objective-C compiler (LLVM based) - Documentation
Package: libclang1-4.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs}
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: C interface to the clang library
......@@ -127,7 +127,8 @@ Package: libclang-4.0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
libclang1-4.0 (= ${binary:Version}), libclang-common-4.0-dev (= ${binary:Version})
${dep:devlibs-objc}, libclang1-4.0 (= ${binary:Version}),
libclang-common-4.0-dev (= ${binary:Version})
Description: clang library - Development package
Clang project is a C, C++, Objective C and Objective C++ front-end
for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
......
......@@ -57,9 +57,11 @@ ifneq (,$(findstring $(DEB_HOST_ARCH),armel))
endif
ifeq ($(shell dpkg --compare-versions $(shell dpkg-query -W -f '$${Version}' g++-$(GCC_VERSION)) ge 4.8-20121128-1~ ; echo $$?),0)
control_vars = '-Vdep:devlibs=libstdc++-$(GCC_VERSION)-dev, libgcc-$(GCC_VERSION)-dev, libobjc-$(GCC_VERSION)-dev'
control_vars = '-Vdep:devlibs=libstdc++-$(GCC_VERSION)-dev, libgcc-$(GCC_VERSION)-dev' \
'-Vdep:devlibs-objc=libobjc-$(GCC_VERSION)-dev'
else ifeq ($(shell dpkg --compare-versions $(shell dpkg-query -W -f '$${Version}' g++-$(GCC_VERSION)) ge 4.7.2-10~ ; echo $$?),0)
control_vars = '-Vdep:devlibs=libstdc++6-$(GCC_VERSION)-dev, libgcc-$(GCC_VERSION)-dev, libobjc-$(GCC_VERSION)-dev'
control_vars = '-Vdep:devlibs=libstdc++6-$(GCC_VERSION)-dev, libgcc-$(GCC_VERSION)-dev' \
'-Vdep:devlibs-objc=libobjc-$(GCC_VERSION)-dev'
else
control_vars = '-Vdep:devlibs=libstdc++6-$(GCC_VERSION)-dev'
endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment